package com.bsdenterprise.flutter_mqtt_plugin.utilities;

import com.amazonaws.services.iot.client.AWSIotMessage;

public interface MqttCallback {
    void onConnectionSuccess();
    void onConnectionFailure();
    void onConnectionClosed();

    void onSubscribeSuccess();
    void onSubscribeFailure();
    void onSubscribeTimeout();

    void onSendSuccess();
    void onSendFailure();
    void onSendTimeout();
    void onMessage(AWSIotMessage message);
}
